Rails 遭遇 Error loading ‘sqlite3’ Active Record adapter

很久没写过 Rails 了,最近也更新了 5.2.2 ,于是决定再看看。

使用 rails new 生成了一个新的项目,却未能成功跑起来。报错 Error loading ‘sqlite3’ Active Record adapter

搜索后得知,原来是 新版的 Rails 项目中并未为 SQlite 设置版本导致的。

因此,你只需要将 gemfile 中的

gem 'sqlite3'

修改为

gem 'sqlite3', '~> 1.3.6'

重新 bundle install 即可。

发表评论